- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Deletes a branch in a workspace.
HTTP request
POST https://dataform.googleapis.com/v1beta1/{name=projects/*/locations/*/repositories/*/workspaces/*}:deleteBranch The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The workspace resource name. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "branch": string, "force": boolean } |
| Fields | |
|---|---|
branch |
Required. The name of the branch in the Git repository to delete. |
force |
Optional. If set to |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/bigquery
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
dataform.workspaces.deleteBranch
For more information, see the IAM documentation.